{% extends "base.html" %}
{% load static %}

{% block content %}
<!-- ==========Page Header Section Starts Here========== -->
<div class="pageheader" style="background-image:url({% static "assets/images/bg/home1/10.png" %})">
    <div class="container">
        <div class="pageheader__content">
            <h2>Sign Up</h2>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{% url "home:home" %}">Home</a></li>
                    <li class="breadcrumb-item active" aria-current="page">Sign Up</li>
                </ol>
            </nav>
        </div>
    </div>
</div>
<!-- ==========Page Header Section Ends Here========== -->

{% if messages %}
    <div class="container mt-4">
        {% for message in messages %}
            {% if message.tags == 'error' %}
                <div class="alert alert-danger" role="alert">
            {% else %}
                <div class="alert alert-{{ message.tags }}" role="alert">
                {% endif %}
                    {{ message }}
                </div>
        {% endfor %}
    </div>

{% endif %}



<!-- ===============>> account start here <<================= -->
<section class="account padding-top padding-bottom">
    <div class="container-fluid">
        <div class="account__wrapper" data-aos="fade-up" data-aos-duration="800">
            <div class="row g-4">
                <div class="col-lg-12">
                    <div class="account__content">
                        <!-- account tittle -->
                        <div class="account__header">
                         
                            <h3>Create an account</h3>
                        </div>
                        <!-- account form -->
                        <form method='post' class="account__form">{% csrf_token %}
                            <div class="row g-4">
                                <div class="col-lg-12">
                                    <div class="input-group">
                                        {{ form.username }}
                                        <div class="valid-tooltip">
                                            Looks good!
                                        </div>
                                        <div class="invalid-tooltip">
                                            Please enter a username
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-12">
                                    <div class="input-group">
                                        {{ form.phone }}

                                        <div class="valid-tooltip">
                                            This mobile is valid
                                        </div>
                                        <div class="invalid-tooltip">
                                            Please enter a valid number
                                        </div>
                                    </div>
                                </div>

                                <div class="col-lg-12">
                                    <div class="input-group">
                                        <!-- <span class="input-group-icon"><i
                                                class="fa-solid fa-eye"></i></span> -->
                                                {{ form.password }}

                                        <div class="valid-tooltip">
                                            Looks good!
                                        </div>
                                        <div class="invalid-tooltip">
                                            Enter a strong password
                                        </div>
                                    </div>
                                </div>

                                <div class="col-lg-12">
                                    <div class="input-group">
                                        <!-- <span class="input-group-icon"><i
                                                class="fa-solid fa-eye"></i></span> -->
                                                {{ form.confirm_password }}

                                        <div class="valid-tooltip">
                                            Looks good!
                                        </div>
                                        <div class="invalid-tooltip">
                                            Enter a strong confirm password
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="account__form-passcheck">
                                <div class="form-check">
                                    <input type="checkbox" class="form-check-input" value="" id="terms-check">
                                    <label for="terms-check" class="form-check-label">
                                        Agree to our <a href="#"> terms & conditions</a>
                                    </label>
                                </div>
                                <!-- <div class="account__form-forgotpass">
                                    <a href="#">Forgot Password?</a>
                                </div> -->
                            </div>

                            <button type="submit"
                                class="trk-btn trk-btn--border trk-btn--secondary1 d-block mt-4">Sign Up</button>
                        </form>
                        <!-- account social -->
                        <div class="account__social">
                            <a href="{% url 'social:begin' "google-oauth2" %}" class="account__social-btn"><span><img src="{% static "assets/images/others/google.svg" %}"
                                        alt="google icon"></span>
                                Sign in with google
                            </a>
                        </div>

                        <div class="account__switch">
                            <p>Already have an account? <a href="{% url "accounts:signin" %}">Log in</a></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- ===============>> account end here <<================= -->

{% endblock content %}




